Accounts APIAccount holder verification
Approve account holder verification
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Identifier of the account holder verification.
Format
uuidHeader Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
X-Volt-Testing-Scenario?string
[SANDBOX ONLY] used to trigger specific transaction failure or verification mocks.
Value in
- "PAYOUT_REJECTED"
- "ACCOUNT_HOLDER_VERIFICATION_CLOSE_MATCH"
- "ACCOUNT_HOLDER_VERIFICATION_NO_MATCH"
- "ACCOUNT_HOLDER_VERIFICATION_ERROR"
- "ONBOARDING_REJECTED"
- "ONBOARDING_ADDITIONAL_INFO_REQUIRED"
- "ONBOARDING_ADDITIONAL_INFO_REQUIRED_NAME_MISMATCH"
- "ONBOARDING_EXPIRED"
- "ORDER_NAMED_ACCOUNTS_FAILED"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/account-holder-verifications/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve" \ -H "X-Volt-Api-Version: 1"Empty
{ "code": "BAD_REQUEST", "message": "string"}{ "code": "UNAUTHORISED", "message": "string"}{ "code": "ACCESS_DENIED", "message": "string"}{ "code": "RESOURCE_NOT_FOUND", "message": "string"}{ "code": "METHOD_NOT_SUPPORTED", "message": "string"}{ "code": "MEDIA_TYPE_NOT_ACCEPTABLE", "message": "string"}{ "code": "CONFLICT", "message": "string"}{ "code": "UNSUPPORTED_MEDIA_TYPE", "message": "string"}{ "code": "VALIDATION_FAILURE", "message": "string", "errors": [ { "type": "TOO_FEW", "propertyPath": "string", "message": "string" } ]}{ "code": "INTERNAL_SERVER_ERROR", "message": "string"}